SaslRpcServer (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security
Class SaslRpcServer

    java.lang.Object
      org.apache.hadoop.security.SaslRpcServer

    public class SaslRpcServer

extends Object

A utility class for dealing with SASL on RPC server

Nested Class Summary
`static class` | `SaslRpcServer.AuthMethod` Authentication method
`static class` | `SaslRpcServer.QualityOfProtection`
`static class` | `SaslRpcServer.SaslDigestCallbackHandler` CallbackHandler for SASL DIGEST-MD5 mechanism
`static class` | `SaslRpcServer.SaslGssCallbackHandler` CallbackHandler for SASL GSSAPI Kerberos mechanism
`static class` | `SaslRpcServer.SaslStatus`

Field Summary
`static org.apache.commons.logging.Log` | `LOG`
`static String` | `SASL_DEFAULT_REALM`
`static Map<String,String>` | `SASL_PROPS`
`static int` | `SWITCH_TO_SIMPLE_AUTH`

Constructor Summary
`SaslRpcServer()`

Method Summary
`static
`<T extends TokenIdentifier> T`
` | `getIdentifier(String id, SecretManager<T> secretManager)`
`static void` | `init(Configuration conf)`
`static String[]` | `splitKerberosName(String fullName)` Splitting fully qualified Kerberos name into parts

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    public static final org.apache.commons.logging.Log LOG

### SASL_DEFAULT_REALM

    public static final String SASL_DEFAULT_REALM

See Also:
  Constant Field Values

### SASL_PROPS

    public static final Map<String,String> SASL_PROPS

### SWITCH_TO_SIMPLE_AUTH

    public static final int SWITCH_TO_SIMPLE_AUTH

See Also:
  Constant Field Values

Constructor Detail

### SaslRpcServer

    public SaslRpcServer()

Method Detail

### init

    public static void init(Configuration conf)

### getIdentifier

    public static <T extends TokenIdentifier> T getIdentifier(String id,
                                                              SecretManager<T> secretManager)
                                                   throws SecretManager.InvalidToken

  Throws:
    `SecretManager.InvalidToken`

### splitKerberosName

    public static String[] splitKerberosName(String fullName)

  Splitting fully qualified Kerberos name into parts

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation